# class KPrefsItem | Class for storing a preferences setting. More...
Contains pure virtuals
Definition | `#include <klineakconfig/kprefs.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KPrefsItem (const QString &group,const QString &name)
- virtual ~KPrefsItem ()
- virtual void setDefault ()
- virtual void readConfig (KConfig *)
- virtual void writeConfig (KConfig *)

#### Protected Members

- QString mGroup
- QString mName

## Detailed Description

This class represents one preferences setting as used by KPrefs. Subclasses of KPrefsItem implement storage functions for a certain type of setting. Normally you don't have to use this class directly. Use the special addItem() functions of KPrefs instead. If you subclass this class you will have to register instances with the function KPrefs::addItem().

See also: KPref

KPrefsItem (const QString &group,const QString &name) | ### KPrefsItem

Constructor.

Parameters:

group | Config file group.
name | Config file key.

~KPrefsItem () | ### ~KPrefsItem

[virtual]

Destructor.

void setDefault () | ### setDefault

[pure virtual]

This function is called by KPrefs to set this setting to its default value.

void readConfig (KConfig *) | ### readConfig

[pure virtual]

This function is called by KPrefs to read the value for this setting from a config file. value.

void writeConfig (KConfig *) | ### writeConfig

[pure virtual]

This function is called by KPrefs to write the value of this setting to a config file.

QString mGroup | ### mGroup

[protected]

QString mName | ### mName

[protected]

- Author: Cornelius Schumache
- Generated: sheldonl on shugaru on Thu Oct 3 22:56:49 2002, using kdoc 2.0a53.